;--------------------------------------------------
; Z80 DISASSEMBLER LISTING
; Addr   Opcodes     Label   Instruction
;-------------------------------------------------
;
; Test IK-BIOS
;
	org 0100h	; Loader

        JP L0001
        JR NC,L0002
        LD C,C
        LD C,E
        DEC L
        LD B,D
        LD C,C
        LD C,A
        LD D,E
        JR NZ,L0003
        JR NZ,L0004
        LD L,30H
        JR NZ,L0005
        JR NZ,L0006
        LD C,A
        LD B,C
        LD B,H
        LD B,L
        LD D,D
        JR NZ,L0007
        JR NZ,L0008
        LD L,31H
        JR NZ,L0009
        LD B,E
        ADD HL,HL
        JR NZ,L0010
        LD C,E
        JR NZ,L0011
        ADD HL,SP
        JR C,L0012
        JR NZ,L0013
        LD HL,(202AH)
        LD C,B
        LD B,L
        LD C,H
        LD C,H
        LD C,A
L0002:  INC L
        JR NZ,L0014
        LD C,A
        LD C,A
        LD D,D
        JR NZ,L0015
        LD C,A
        LD D,E
L0005:  LD B,L
        LD E,C
L0071:  JR NZ,L0016
        DEC A
        LD C,E
        LD C,C
        LD B,L
L0082:  LD B,D
        LD C,C
L0009:  LD D,H
        LD E,D
        ADD HL,HL
        JR NZ,L0017
L0008:  LD HL,(002AH)
        LD BC,0EA00H
        LD DE,12FFH
L0013:  LD HL,0200H
        LD A,(HL)
        LD (BC),A
        INC BC
        INC HL
        LD A,E
L0117:  CP L
L0006:  JP NZ,L0018
        LD A,D
        CP H
        JP NZ,L0018
        JP L0019
L0016:  NOP
        NOP
        NOP
L0010:  NOP
        NOP
        NOP
L0007:  NOP
        NOP
        NOP
        NOP
;
; BIOS
;
	org 0EA00h

        JP BOOT		L0020
        JP WBOOT		L0021
        JP CNONST		L0022
        JP CONIN		L0023
        JP CONOUT		L0024
        JP LIST		L0025
        JP READER		L0026
        JP HOME		L0027
        JP SELDSK		L0028
        JP SETTRK		L0029
        JP SETSEC		L0030
        JP SETDMA		L0031
        JP READ		L0032
        JP WRITE		L0033
        JP LISTSTS	L0034
        JP SETTRAN	L0035
        JP L0036
        NOP
        NOP
        DEC SP
        NOP
        RRA
        NOP
        OR B
        ADD HL,BC
        LD D,0F9H
        SUB C
        JP PE,L0037
        SUB (HL)
        LD SP,HL
        NOP
        NOP
        LD (HL),00H
        NOP
        NOP
        NOP
        NOP
        LD D,0F9H
        POP DE
        JP PE,L0038
        LD D,0FAH
L0001:  NOP
        NOP
        JR NZ,L0039
L0039:  NOP
        NOP
        NOP
        NOP
        LD D,0F9H
        LD DE,0D6EBH
        JP M,L0040
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        LD D,0F9H
        LD D,C
        EX DE,HL
        LD D,(HL)
        EI
        LD D,0FBH
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        LD D,0F9H
        SUB C
        EX DE,HL
        NOP
        NOP
        SUB (HL)
        EI
        LD C,C
        LD C,E
        DEC L
        LD B,D
        LD C,C
L0042:  LD C,A
        LD D,E
        JR NZ,L0041
        LD L,30H
        JR Z,L0042
        LD B,C
        JR Z,L0043
L0043:  INC BC
        RLCA
        NOP
        OR E
        NOP
        CCF
        NOP
        RET NZ
        NOP
        DJNZ L0044
L0044:  INC B
        NOP
        LD BC,0503H
        LD (BC),A
        INC B
        LD BC,0503H
        LD (BC),A
        INC B
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
L0041:  INC BC
        JR Z,L0045
        INC B
        LD BC,0001H
        RST 38H
L0045:  LD (BC),A
        NOP
        LD BC,0000H
        NOP
        NOP
        NOP
        LD B,D
        JR Z,L0046
L0046:  INC BC
        RLCA
        NOP
        OR E
        NOP
        CCF
        NOP
        RET NZ
        NOP
        DJNZ L0047
L0047:  INC B
        NOP
        LD BC,0503H
        LD (BC),A
        INC B
        LD BC,0503H
        LD (BC),A
        INC B
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        INC BC
        JR Z,L0048
        INC B
        LD BC,0001H
        RST 38H
L0048:  INC B
        NOP
        LD BC,0000H
        NOP
        NOP
        NOP
        LD B,E
        JR Z,L0049
L0049:  INC BC
        RLCA
        NOP
        OR E
        NOP
        CCF
        NOP
        RET NZ
        NOP
        DJNZ L0050
L0050:  INC B
        NOP
        LD BC,0503H
        LD (BC),A
        INC B
        LD BC,0503H
        LD (BC),A
        INC B
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        INC BC
        JR Z,L0051
        INC B
        LD BC,0001H
        RST 38H
L0051:  EX AF,AF'
        NOP
        LD BC,0000H
        NOP
        NOP
        NOP
        LD B,H
        JR Z,L0052
L0052:  INC BC
        RLCA
        NOP
        OR E
        NOP
        CCF
        NOP
        RET NZ
        NOP
        DJNZ L0053
L0053:  INC B
        NOP
        LD BC,0503H
        LD (BC),A
        INC B
        LD BC,0503H
        LD (BC),A
        INC B
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        INC BC
        JR Z,L0054
        INC B
        LD BC,0001H
        RST 38H
L0054:  DJNZ L0055
L0055:  LD BC,0000H
        NOP
        NOP
        NOP
        LD B,L
        EX AF,AF'
        NOP
        INC BC
        RLCA
        NOP
        RST 38H
        NOP
        CCF
        NOP
        RET NZ
        NOP
        NOP
        NOP
        NOP
        NOP
        LD BC,0302H
        INC B
        DEC B
        LD B,07H
        EX AF,AF'
        ADD HL,BC
        LD A,(BC)
        DEC BC
        INC C
        DEC C
        LD C,0FH
        DJNZ L0056
        LD (BC),A
L0056:  INC BC
        INC B
        DEC B
        LD B,07H
        EX AF,AF'
        ADD HL,BC
        LD A,(BC)
        DEC BC
        INC C
        DEC C
        LD C,0FH
        DJNZ L0057
        RST 38H
        EX AF,AF'
        LD BC,0101H
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        JP L0058
        JP L0059
        NOP
        LD HL,(2100H)
        JP (HL)
        EX DE,HL
        JR L0060
        LD HL,0EBF1H
L0060:  LD A,(0003H)
        AND 03H
        JP L0061
        RLCA
        .DB 0EDH, 5DH ;UNRECOGNIZED
        IN H,(C)
        CALL PE,L0062
        OR E
        CALL PE,L0063
        INC C
        CALL PE,L0064
        LD A,(0003H)
        AND 03H
        LD HL,0EC04H
        JP L0061
        DEC C
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 20H ;UNRECOGNIZED
        CALL PE,L0065
        LD A,(0003H)
        RRCA
        RRCA
        AND 03H
        LD HL,0EC18H
        JR L0066
        OR E
        CALL PE,L0067
        LD (HL),D
        OUT (C),A
        .DB 0EDH, 3AH ;UNRECOGNIZED
        INC BC
        NOP
        RRCA
        RRCA
        AND 03H
        LD HL,0EC2CH
        JR L0066
        DEC C
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 3AH ;UNRECOGNIZED
        INC BC
        NOP
        RRCA
        RRCA
        RRCA
        RRCA
        AND 03H
        LD HL,0EC42H
        JR L0066
        RLCA
        OUT (C),B
        .DB 0EDH, 80H ;UNRECOGNIZED
        .DB 0EDH, 87H ;UNRECOGNIZED
        .DB 0EDH, 3AH ;UNRECOGNIZED
        INC BC
        NOP
        RRCA
        RRCA
        RRCA
        RRCA
        AND 03H
        LD HL,0EC58H
        JR L0066
        ADC A,(HL)
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 3AH ;UNRECOGNIZED
        INC BC
        NOP
        RLCA
        RLCA
        AND 03H
        LD HL,0EC6CH
        JR L0066
        RLCA
        .DB 0EDH, 5DH ;UNRECOGNIZED
        .DB 0EDH, 19H ;UNRECOGNIZED
        .DB 0EDH, 2EH ;UNRECOGNIZED
        .DB 0EDH, 3AH ;UNRECOGNIZED
        INC BC
        NOP
        RLCA
        RLCA
        AND 03H
        LD HL,0EC80H
        JR L0066
        ADC A,(HL)
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 8EH ;UNRECOGNIZED
        .DB 0EDH, 28H ;UNRECOGNIZED
        DEC B
        INC HL
        INC HL
        DEC A
        JR L0066
        LD E,(HL)
        INC HL
        LD D,(HL)
        EX DE,HL
        JP (HL)
L0069:  PUSH DE
        LD (0ECA4H),HL
        LD (0F842H),SP
        LD SP,2950H
        LD A,81H
        OUT (24H),A
        CALL L0068
        LD C,A
        LD SP,(0F842H)
        LD A,01H
        OUT (24H),A
        POP DE
        POP HL
        LD A,C
        RET
        PUSH HL
        LD HL,0ECB9H
        JR L0069
L0075:  LD A,(0F840H)
        OR A
        JR NZ,L0070
        CALL L0071
        PUSH AF
L0073:  CALL L0072
        JR NZ,L0073
        POP AF
        CP 9FH
        JR NZ,L0074
        LD A,(2FB2H)
        CPL
        LD (2FB2H),A
        AND 01H
        OUT (2AH),A
        JR L0075
L0074:  RET NC
        CP 81H
        RET C
        LD HL,(0EBD6H)
        SUB 81H
        LD B,A
        OR A
        JR Z,L0076
L0077:  LD A,(HL)
        INC HL
        OR A
        JR NZ,L0077
        DJNZ L0077
L0076:  LD A,(HL)
        INC HL
        LD (0F83CH),HL
        LD HL,0F840H
        LD (HL),0FFH
        RET
L0070:  LD HL,(0F83CH)
        LD A,(HL)
        INC HL
        LD (0F83CH),HL
        OR A
        RET NZ
        LD (0F840H),A
        RET
        PUSH HL
        LD HL,0ED9BH
        JR L0069
        LD A,(0F840H)
        OR A
        RET NZ
        PUSH HL
        LD HL,0052H
        JP L0078
        PUSH HL
        LD HL,0ED20H
        JP L0078
        LD A,(0F846H)
        LD (2FC8H),A
        CALL L0079
        XOR A
        LD (2FC8H),A
        RET
        PUSH HL
        LD HL,0ED35H
        JP L0078
        LD A,40H
        JP L0080
        PUSH HL
        LD HL,1024H
        JP L0078
        PUSH HL
        LD HL,101EH
        JP L0078
        PUSH HL
        LD HL,(0064H)
        JP L0078
        PUSH HL
        LD HL,0058H
        JP L0078
        PUSH HL
        LD HL,(0F847H)
        JP L0078
        PUSH HL
        LD HL,(0F849H)
        JP L0078
        PUSH HL
        LD HL,(0F84BH)
        JP L0078
        PUSH HL
        LD HL,(0F84DH)
        JP L0078
        PUSH HL
        LD HL,(0F84FH)
        JP L0078
        PUSH HL
        LD HL,(0F851H)
        JP L0078
        PUSH HL
        LD HL,(0F853H)
        JP L0078
        PUSH HL
        LD HL,(0F855H)
        JP L0078
        IN A,(0E9H)
        AND 0AH
        CP 02H
        JR Z,L0081
        XOR A
        RET
L0081:  XOR A
        DEC A
        RET
        LD A,(2FC8H)
        AND 02H
        JP NZ,L0082
        LD HL,0F834H
        LD A,(HL)
        OR A
        JR NZ,L0083
        LD A,C
        CP 1BH
        JR NZ,L0084
        INC (HL)
        RET
L0084:  CP 20H
        JR NC,L0085
        CP 0AH
        JP Z,L0086
        CP 0CH
        JP Z,L0087
        CP 1AH
        JP Z,L0088
        CP 1EH
        JP Z,L0089
        JP L0082
L0085:  LD HL,0F83AH
        OR (HL)
        LD HL,(2E56H)
        LD (HL),A
        INC HL
        PUSH HL
        XOR A
        LD DE,3780H
        SBC HL,DE
        POP HL
        JP C,L0090
        JP L0086
L0083:  DEC A
        JR NZ,L0091
        LD A,C
        CP 3DH
        JR Z,L0092
        CP 1FH
        JR NZ,L0093
L0092:  LD A,20H
        LD (0F839H),A
        INC (HL)
        RET
L0093:  CP 47H
        JR Z,L0094
        CP 2EH
        JR Z,L0095
        CP 16H
        JP NZ,L0096
        XOR A
        LD (0F839H),A
        INC (HL)
        RET
L0094:  INC (HL)
        LD A,01H
        LD (0F835H),A
        RET
L0095:  INC (HL)
        LD A,02H
        LD (0F835H),A
        RET
L0091:  DEC A
        JR NZ,L0097
        LD DE,0F835H
        LD A,(DE)
        CP 01H
        JR Z,L0098
        CP 02H
        JR Z,L0099
        LD A,C
        LD (0F838H),A
        INC (HL)
        RET
L0097:  LD (HL),00H
        LD A,C
        LD (0F837H),A
        LD BC,(0F837H)
        LD A,(0F839H)
        LD H,A
        LD A,B
        INC A
        SUB H
        CP 19H
        JR NC,L0100
        LD B,A
        LD A,C
        SUB H
        LD C,A
        LD HL,2FB0H
        LD DE,0050H
L0101:  ADD HL,DE
        DJNZ L0101
        LD B,00H
        ADD HL,BC
        JP L0090
L0098:  LD (HL),00H
        LD HL,0F835H
        LD (HL),00H
        LD A,C
        CP 34H
        JP Z,L0102
        CP 30H
        JP Z,L0103
        RET
L0099:  LD (HL),00H
        LD HL,0F835H
        LD (HL),00H
        LD A,C
        LD B,21H
        CP 30H
        JR Z,L0104
        LD B,61H
        CP 31H
        JR Z,L0104
        LD B,01H
        CP 32H
        JR Z,L0104
        LD B,6AH
        CP 33H
        JR Z,L0104
        LD B,0AH
        CP 34H
        JR Z,L0104
        LD B,41H
        CP 35H
        JR Z,L0104
        LD B,4AH
        CP 36H
        JR Z,L0104
        RET
L0104:  LD A,0AH
        OUT (28H),A
        LD A,B
        OUT (29H),A
        RET
L0100:  CP 5BH
        JR Z,L0105
        CP 44H
        JR Z,L0106
        CP 55H
        JR Z,L0107
        CP 57H
        JR Z,L0108
        RET
L0105:  LD A,C
        CP 41H
        JR Z,L0109
        CP 44H
        JR Z,L0110
        RET
L0109:  LD A,0FFH
        LD (2FB2H),A
        LD A,01H
        OUT (2AH),A
        RET
L0110:  XOR A
        LD (2FB2H),A
        OUT (2AH),A
        RET
L0106:  LD A,C
        CP 30H
        JP Z,L0111
        CP 31H
        JP Z,L0112
        RET
L0108:  LD A,C
        CP 30H
        JP Z,L0113
        CP 31H
        JP Z,L0114
        RET
        LD A,00H
        LD (0F836H),A
        RET
        LD A,01H
        LD (0F836H),A
        RET
L0107:  LD A,C
        CP 31H
        JR Z,L0115
        CP 32H
        JR Z,L0116
        RET
L0115:  LD C,1BH
        CALL L0082
        LD C,1BH
        JP L0082
L0116:  CALL L0117
        LD C,15H
        LD DE,0F900H
        LD HL,2FEAH
L0118:  LD A,(HL)
        LD (DE),A
        INC HL
        INC DE
        DEC C
        JR NZ,L0118
        LD A,24H
        LD (0F915H),A
        RET
        LD (HL),00H
        LD A,C
        CP 3BH
        JP Z,L0087
        CP 2AH
        JP Z,L0087
        CP 18H
        JP Z,L0119
        CP 52H
        JP Z,L0119
        CP 17H
        JP Z,L0120
        CP 45H
        JP Z,L0120
        CP 19H
        JP Z,L0121
        CP 54H
        JP Z,L0121
        CP 12H
        JR Z,L0122
        CP 29H
        JR Z,L0122
        CP 6AH
        JR Z,L0122
        CP 6BH
        JR Z,L0123
        CP 13H
        JR Z,L0123
        CP 28H
        JR Z,L0123
        CP 10H
        JP Z,L0089
        CP 11H
        JP Z,L0124
        CP 59H
        JP Z,L0124
        CP 2BH
        JP Z,L0087
        CP 3BH
        JP Z,L0087
        CP 31H
        RET Z
        CP 32H
        RET Z
        CP 33H
        RET Z
        CP 34H
        RET Z
        CP 6EH
        RET Z
        CP 6FH
        RET Z
        CP 24H
        JP Z,L0125
        CP 25H
        JP Z,L0126
        PUSH BC
        LD C,1BH
        CALL L0082
        POP BC
        JP L0082
L0122:  LD A,80H
        LD (0F83AH),A
        RET
L0123:  XOR A
        LD (0F83AH),A
        RET
        CALL L0127
        CALL L0128
        JR NC,L0129
        CALL L0130
        LD HL,3730H
        JR L0129
        LD HL,3000H
        LD BC,0050H
        PUSH HL
        ADD HL,BC
        EX DE,HL
        LD HL,3780H
        XOR A
        SBC HL,DE
        EX DE,HL
        LD B,D
        LD C,E
        POP DE
        LDIR
        RET
        CALL L0127
        PUSH HL
        CALL L0128
        JR NC,L0131
        EX DE,HL
        XOR A
        LD HL,3730H
        SBC HL,DE
        LD B,H
        LD C,L
        LD HL,372FH
        LD DE,377FH
        LDDR
L0131:  POP HL
L0129:  LD BC,004FH
L0132:  LD (HL),20H
        LD D,H
        LD E,L
        INC DE
        LDIR
        RET
        PUSH HL
        LD DE,3730H
        XOR A
        SBC HL,DE
        POP HL
        RET
        CALL L0127
        DEC BC
        ADD HL,BC
        LD DE,(2E56H)
        XOR A
        SBC HL,DE
        LD C,L
        EX DE,HL
        LD A,C
        CP 00H
        RET Z
        JR L0132
        LD BC,0050H
        LD HL,3780H
        LD DE,(2E56H)
L0133:  PUSH HL
        XOR A
        SBC HL,DE
        POP HL
        RET C
        RET Z
        SBC HL,BC
        JR L0133
        LD HL,(2E56H)
        CALL L0128
        JR C,L0134
        CALL L0135
        LD HL,3730H
        PUSH HL
        CALL L0090
        POP HL
        JP L0136
L0134:  CALL L0127
        LD DE,0050H
        ADD HL,DE
        JP L0090
        LD A,(0F836H)
        CP 01H
        JR Z,L0137
        CALL L0138
        LD HL,3730H
L0139:  JP L0090
L0137:  CALL L0138
        LD HL,3000H
        JR L0139
        LD HL,3000H
        JR L0139
        LD HL,(2E56H)
        PUSH HL
        LD DE,377FH
        EX DE,HL
        XOR A
        SBC HL,DE
        LD B,H
        LD C,L
        POP HL
        JP L0140
        LD DE,0301H
        JR L0141
        LD DE,0309H
L0141:  LD C,08H
        LD HL,0CC00H
        CALL L0142
        LD BC,0800H
        LD DE,3800H
        LD HL,0CC00H
        LDIR
        RET
        LD A,C
        DEC A
        ADD A,H
        LD L,H
        LD H,A
        LD (2E9CH),HL
        LD L,D
        LD H,E
        LD (2EA8H),HL
        JP L0143
        LD C,00H
        LD HL,0F815H
        LD (HL),C
        RET
        LD HL,0F816H
        LD (HL),C
        RET
        LD (0F817H),BC
        RET
        LD HL,0000H
        LD A,C
        CP 05H
        JR C,L0144
        LD A,(0F845H)
        LD (0004H),A
        RET
L0144:  LD (0F814H),A
        CALL L0145
        LD L,A
        LD DE,0EA33H
        ADD HL,DE
        RET
        EXX
        LD D,00H
        ADD A,A
        ADD A,A
        ADD A,A
        ADD A,A
        LD E,A
        PUSH AF
        LD IX,0EA3DH
        ADD IX,DE
        LD L,(IX+00H)
        LD H,(IX+01H)
        LD E,0DH
        ADD HL,DE
        LD A,(HL)
        LD (0F81DH),A
        INC HL
        INC HL
        LD (0F81EH),HL
        LD E,20H
        ADD HL,DE
        LD DE,0F820H
        LD BC,0010H
        LDIR
        EXX
        POP AF
        RET
        LD A,D
        OR E
        JR Z,L0146
        EX DE,HL
        ADD HL,BC
        LD A,(HL)
        LD (0F816H),A
        LD L,A
        LD H,00H
        RET
L0146:  LD L,C
        LD A,C
        LD (0F816H),A
        LD H,00H
        RET
        LD A,(0F823H)
        ADD A,A
        LD C,A
        LD A,(0F816H)
        LD E,A
        CALL L0147
        JR NZ,L0148
        LD A,E
        CALL L0149
        LD A,(0F824H)
        DEC A
        LD C,0FFH
        XOR C
        AND B
        INC A
        LD E,A
L0148:  LD BC,(0F814H)
        RET
        LD B,0FFH
L0150:  INC B
        SUB C
        JR NC,L0150
        RET
        XOR A
        CP B
        RET Z
L0151:  ADD A,C
        DJNZ L0151
        LD B,A
        RET
        CALL L0152
        LD A,(0F819H)
        CP C
        RET NZ
        LD A,(0F81AH)
        CP B
        RET NZ
        LD A,(0F81BH)
        CP E
        RET
        LD HL,0F819H
        LD (HL),C
        INC HL
        LD (HL),B
        INC HL
        LD (HL),E
        RET
        LD A,(0F81BH)
        LD B,A
        DEC B
        LD A,(0F823H)
        ADD A,A
        LD C,A
        CALL L0153
        LD A,(0F816H)
        SUB B
        SRL A
        LD D,A
        LD A,00H
        RRA
        LD E,A
        LD HL,0FC00H
        ADD HL,DE
        LD DE,(0F817H)
        LD BC,0080H
        RET
        LD A,(0F828H)
        CP 00H
        JP Z,L0154
        CALL L0155
        CALL NZ,L0156
        RET NZ
        CALL L0147
        JP NZ,L0157
        CALL L0158
        LDIR
        XOR A
        RET
        LD A,(0F80EH)
        OR A
        JR Z,L0159
        CALL L0160
        OR A
        RET NZ
        LD A,(0F814H)
        CALL L0145
L0159:  CALL L0152
        CALL L0161
        CALL L0147
        JR NZ,L0162
        CALL L0163
        OR A
        RET
        LD A,(0F828H)
        CP 00H
        JP Z,L0164
        LD A,C
        LD (0F80DH),A
        CALL L0155
        CALL NZ,L0165
        RET NZ
        CALL L0147
        JR NZ,L0166
        CALL L0158
        EX DE,HL
        LDIR
        LD A,01H
        LD (0F80EH),A
        LD A,(0F80DH)
        CP 01H
        LD A,00H
        RET NZ
        CALL L0160
        PUSH AF
        XOR A
        LD (0F80EH),A
        POP AF
        RET
        LD A,(0F80EH)
        OR A
        JR Z,L0167
        CALL L0160
        OR A
        RET NZ
        LD A,(0F814H)
        CALL L0145
L0167:  CALL L0152
        CALL L0161
        CALL L0147
        JR NZ,L0168
        LD A,(0F80DH)
        CP 02H
        RET Z
        JR L0169
        LD A,(0F829H)
        AND 02H
        RET
L0162:  POP HL
        LD HL,(0F817H)
        CALL L0170
        RET
L0168:  POP HL
L0166:  LD HL,(0F817H)
        CALL L0171
        RET
        CALL L0172
        LD C,78H
        INIR
        XOR A
        RET
        CALL L0172
        LD C,78H
        OTIR
        XOR A
        RET
        IN A,(7BH)
        AND 02H
        JP NZ,L0021
        LD A,(0F815H)
        OUT (7AH),A
        LD A,(0F816H)
        OUT (79H),A
        LD HL,(0F817H)
        LD B,80H
        XOR A
        RET
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
L0169:  LD HL,0FC00H
        LD (0F809H),HL
        LD HL,0F2AFH
        LD A,(0F82DH)
        RLCA
        RLCA
        AND 04H
        LD C,A
        LD A,80H
        JR L0173
        LD HL,0FC00H
        LD (0F809H),HL
        LD A,(0F819H)
        CALL L0145
        LD HL,0F2B4H
        LD A,(0F82EH)
        RLCA
        RLCA
        AND 04H
        LD C,A
        LD A,(0F841H)
        CPL
        AND 02H
        LD B,A
        LD A,(0F800H)
        CP 2AH
        LD A,0A0H
        JR NC,L0173
        OR B
L0173:  OR C
        CALL L0174
        PUSH AF
        LD A,(0F80FH)
        LD (0066H),A
        POP AF
        RET
        IN A,(4BH)
        LD (DE),A
        INC DE
        RET
        LD A,(DE)
        OUT (4BH),A
        INC DE
        RET
        PUSH BC
        LD A,02H
        JR L0175
        PUSH BC
        LD A,00H
L0175:  OUT (0BBH),A
        POP BC
        RET
        POP AF
        IN A,(48H)
        RET
        XOR A
        LD (0F80EH),A
        LD A,(0F824H)
        LD (0F831H),A
        LD HL,(0F81AH)
        LD (0F800H),HL
        LD HL,0F804H
        LD A,(0F819H)
        LD E,A
        LD D,00H
        ADD HL,DE
        LD (0F802H),HL
        LD HL,0066H
        LD A,(HL)
        LD (0F80FH),A
        LD (HL),0E9H
        LD DE,002CH
        LD HL,0F2C5H
        LD BC,0004H
        LDIR
        RET
        LD (0F808H),A
        LD (0F80BH),HL
        CALL L0176
        LD A,(0F800H)
        LD HL,0F81DH
        CP (HL)
        JR NC,L0177
        LD A,(0F820H)
        AND 80H
        JR NZ,L0177
        LD A,0FFH
        LD (0F833H),A
        LD A,10H
        LD (0F822H),A
        LD A,(0F81CH)
        OR A
        JR NZ,L0178
        LD A,04H
        LD (0F831H),A
        LD (0F824H),A
        LD A,(0F801H)
        DEC A
        LD B,A
        LD A,(0F823H)
        ADD A,A
        LD C,A
        CALL L0153
        LD A,(0F816H)
        PUSH AF
        LD A,B
        LD (0F816H),A
        LD A,01H
        LD (0F823H),A
        CALL L0152
        POP AF
        LD (0F816H),A
        LD A,10H
        CP E
        JP C,L0179
        LD A,E
        LD (0F801H),A
L0178:  LD A,01H
        LD (0F823H),A
L0177:  DI
        LD B,00H
        LD A,(0F821H)
        LD C,A
        LD A,(0F820H)
        AND 03H
        CP 02H
        JR NC,L0180
        OR A
        JR NZ,L0181
        CALL L0182
        JR L0183
L0181:  LD A,(0F81AH)
        LD HL,0F81DH
        CP (HL)
        JR C,L0184
        XOR A
        LD A,(0F81AH)
        RR A
        LD (0F800H),A
        LD A,00H
        RR A
        RR A
        RR A
        LD B,A
L0184:  CALL L0182
        JR L0183
L0180:  LD A,(0F81AH)
        CP C
        JR C,L0185
        LD B,20H
        SUB C
        LD L,A
        LD A,(0F820H)
        AND 01H
        LD A,L
        JR Z,L0185
        ADD A,C
        CPL
        ADD A,C
        ADD A,C
L0185:  LD (0F800H),A
        CALL L0182
L0183:  LD A,(0F826H)
        AND 0DFH
        OR B
        LD (0F826H),A
        LD A,03H
        LD (0F832H),A
L0192:  LD HL,(0F802H)
        LD A,(HL)
        RLCA
        CALL NC,L0186
        LD A,(HL)
        AND 7FH
        OUT (49H),A
        LD A,(0F800H)
        OUT (4BH),A
        LD B,10H
        LD A,(0F82CH)
        RLCA
        RLCA
        AND 04H
        OR B
        LD B,A
        CALL L0187
        JR C,L0188
        LD A,(0F830H)
        LD DE,(0F809H)
        LD HL,(0F80BH)
        CALL L0189
        AND 5DH
        JR Z,L0190
L0188:  LD HL,0F832H
        DEC (HL)
        JP M,L0191
        JR NZ,L0192
        LD HL,(0F802H)
        LD (HL),00H
        JR L0192
L0190:  LD DE,(0F809H)
        LD A,(0F823H)
        LD H,A
        LD L,00H
        ADD HL,DE
        LD (0F809H),HL
        LD HL,0F831H
        DEC (HL)
        JR Z,L0193
        LD HL,0F801H
        INC (HL)
        JP L0194
L0193:  CALL L0195
        LD A,(0F833H)
        OR A
        LD A,(0F819H)
        CALL NZ,L0145
        XOR A
        LD (0F833H),A
        RET
        OUT (4AH),A
        LD A,(0F808H)
        OUT (48H),A
L0196:  EI
        HALT
        JR L0196
        LD IX,0F801H
        LD A,(0F829H)
        AND 02H
        JP NZ,L0197
        LD DE,(0F822H)
        INC E
        LD A,(IX+00H)
        CP E
        JR C,L0198
        LD B,20H
L0198:  LD A,(0F820H)
        AND 80H
        JR NZ,L0199
        LD HL,0F81DH
        LD A,(0F81AH)
        CP (HL)
        JR C,L0200
L0199:  LD E,(IX+00H)
        DEC E
        LD IX,(0F81EH)
        LD D,00H
        ADD IX,DE
L0200:  LD A,(IX+00H)
        LD C,A
        LD A,(0F825H)
        DEC A
        ADD A,C
        LD (0F830H),A
        RET
        CALL L0195
        DI
        LD A,(0F83FH)
        OR A
        RET NZ
        LD A,(0F819H)
        ADD A,41H
        LD (0F7B4H),A
        LD A,(0F826H)
        AND 20H
        LD A,30H
        JR Z,L0201
        INC A
L0201:  LD (0F7BDH),A
        LD A,(0F800H)
        CALL L0202
        LD (0F7C6H),HL
        LD A,(0F830H)
        CALL L0202
        LD (0F7D2H),HL
        LD HL,0F7A6H
        CALL L0203
L0207:  CALL L0204
        LD A,C
        AND 0DFH
        CP 52H
        JP Z,L0205
        CP 49H
        JR Z,L0206
        CP 42H
        JR NZ,L0207
        LD A,(0F833H)
        OR A
        LD A,(0F819H)
        CALL NZ,L0145
        XOR A
        INC A
        LD (0F83FH),A
        RET
L0206:  LD HL,0F831H
        DEC (HL)
        JP Z,L0179
        LD HL,0F801H
        INC (HL)
        JP L0194
        LD HL,3030H
L0209:  LD C,A
        SUB 0AH
        JR C,L0208
        INC L
        JR L0209
L0208:  LD A,C
        ADD A,H
        LD H,A
        RET
        LD B,00H
        LD (HL),00H
        LD A,(0F82BH)
        RLCA
        RLCA
        AND 04H
        OR B
        LD B,A
        CALL L0210
        LD HL,(0F802H)
        AND 19H
        JR NZ,L0211
        IN A,(49H)
        LD C,A
        LD A,(0F800H)
        CP C
        JR NZ,L0211
        OR 80H
        LD (HL),A
        XOR A
        RET
L0211:  LD (HL),00H
        SCF
        RET
        LD A,(0F829H)
        BIT 0,A
        JR Z,L0212
        LD A,(0F821H)
        CP 30H
        JR NC,L0212
        LD A,B
        AND 0FBH
        OR A
        JR Z,L0212
        LD A,(0F800H)
        OR A
        JR Z,L0212
        LD B,A
        IN A,(49H)
        CP B
        JR Z,L0213
        SUB B
        LD B,60H
        JR NC,L0214
        LD B,40H
        CPL
        INC A
L0214:  RLCA
        AND 0FEH
        LD C,A
L0216:  PUSH BC
        CALL L0215
        POP BC
        DEC C
        JR NZ,L0216
        LD A,(0F800H)
        OUT (49H),A
        XOR A
        RET
L0213:  LD B,10H
L0212:  CALL L0217
        LD DE,0000H
        CALL L0218
        LD A,(0F841H)
        LD C,A
L0220:  IN A,(48H)
        XOR C
        RLCA
        JR C,L0219
        DEC DE
        LD A,E
        OR D
        JR NZ,L0220
        JR L0221
L0219:  CALL L0222
        LD C,02H
        LD A,(0F82AH)
        ADD A,C
        LD C,A
        EI
L0224:  LD DE,0000H
L0223:  DEC DE
        LD A,D
        OR E
        JR NZ,L0223
        DEC C
        JR NZ,L0224
        LD A,0D0H
        OUT (48H),A
L0221:  CALL L0195
        LD A,0FFH
        RET
        LD A,(0F841H)
        OR A
        JR Z,L0225
L0226:  LD A,(0F82AH)
        OR B
        OUT (48H),A
        RET
        LD A,(0F841H)
        OR A
        JR Z,L0226
        IN A,(48H)
L0225:  LD A,(0F826H)
        LD C,A
        LD A,(0F828H)
        OR C
        OUT (40H),A
        RET
        LD A,(0F83BH)
        LD (2FB2H),A
        LD HL,0F83EH
        LD A,(HL)
        OR A
        JR Z,L0227
        XOR A
        LD (HL),A
        LD HL,0F844H
        EX DE,HL
        LDIR
        IN A,(48H)
        RLCA
        JR NC,L0227
        XOR A
        LD (0F841H),A
L0227:  LD A,01H
        OUT (24H),A
        LD SP,0100H
        LD DE,0003H
        LD HL,0F844H
        LD A,(HL)
        LD (DE),A
        INC DE
        INC HL
        LD A,(HL)
        LD (DE),A
        LD HL,0000H
        LD (0F804H),HL
        LD (0F806H),HL
        LD HL,2A00H
        LD (0EBD6H),HL
        LD HL,0F68DH
        CALL L0203
        XOR A
        LD (0F80EH),A
        CPL
        LD (0F819H),A
        LD A,0C3H
        LD (0000H),A
        LD (0005H),A
        LD HL,0EA03H
        LD (0001H),HL
        LD HL,0DC06H
        LD (0006H),HL
        LD BC,0080H
        CALL L0032
        LD A,(0004H)
        LD C,A
        JP L0228
        LD SP,0080H
        LD A,(0F80EH)
        OR A
        JR Z,L0229
        CALL L0160
        LD A,(0F814H)
        CALL L0145
L0229:  LD A,00H
        LD (0F80EH),A
        LD (0F83FH),A
        LD HL,2A00H
        LD (0EBD6H),HL
        LD A,(0F845H)
        LD (0F819H),A
        CALL L0145
        LD A,0FH
        LD (0F824H),A
        LD HL,0200H
        LD (0F81AH),HL
        LD HL,0D400H
        LD (0F809H),HL
        LD A,0FFH
        LD (0F81CH),A
        CALL L0230
        LD HL,0101H
        LD (0F81AH),HL
        LD A,07H
        LD (0F824H),A
        CALL L0230
        XOR A
        LD (0F81CH),A
        LD A,(0F814H)
        LD (0F819H),A
        CALL L0145
        JP L0231
L0233:  LD A,(HL)
        OR A
        RET Z
        LD C,A
        PUSH HL
        CALL L0232
        POP HL
        INC HL
        JR L0233
        INC C
        DEC DE
        LD D,09H
        LD BC,090DH
        ADD HL,BC
        ADD HL,BC
        DEC DE
        LD (DE),A
        JR NZ,L0234
        LD D,H
        LD L,B
        LD L,C
        LD (HL),E
        JR NZ,L0235
        LD (HL),E
        JR NZ,L0236
        JR NC,L0237
        LD C,E
        JR NZ,L0238
        LD D,B
        CPL
        LD C,L
        JR NZ,L0239
        LD H,L
        LD L,H
        LD L,20H
        LD (322EH),A
        JR NZ,L0240
        LD A,(BC)
        DEC C
        ADD HL,BC
        ADD HL,BC
L0234:  ADD HL,BC
        DEC DE
        LD (DE),A
        JR NZ,L0241
        LD C,C
        LD C,E
        DEC L
        LD B,D
        LD C,C
        LD C,A
L0237:  LD D,E
        JR NZ,L0242
        JR NZ,L0243
        JR NZ,L0244
        LD L,30H
        JR NZ,L0245
        JR NZ,L0246
        LD B,E
        ADD HL,HL
        JR NZ,L0247
L0240:  ADD HL,SP
        JR C,L0248
L0236:  JR NZ,L0249
        LD A,(BC)
        DEC C
        ADD HL,BC
        ADD HL,BC
L0241:  ADD HL,BC
        DEC DE
        LD (DE),A
        JR NZ,L0250
        JR NZ,L0251
        JR NZ,L0252
        JR NZ,L0253
        JR NZ,L0254
        JR NZ,L0255
        JR NZ,L0256
        JR NZ,L0257
        JR NZ,L0258
        JR NZ,L0259
        JR NZ,L0260
        JR NZ,L0261
L0246:  JR NZ,L0262
        JR NZ,L0263
        JR NZ,L0243
L0244:  LD A,(BC)
        DEC C
        ADD HL,BC
        ADD HL,BC
L0250:  ADD HL,BC
        DEC DE
L0251:  LD (DE),A
L0247:  JR NZ,L0264
L0235:  JR NZ,L0265
        JR NZ,L0266
        LD D,L
L0255:  LD C,H
        LD C,H
L0256:  DEC L
L0248:  LD D,E
L0257:  LD B,E
        LD D,D
L0258:  LD B,L
        LD B,L
L0259:  LD C,(HL)
        DEC L
L0260:  LD D,H
        LD B,L
L0261:  LD D,D
        LD C,L
L0262:  LD C,C
        LD C,(HL)
L0263:  LD B,C
        LD C,H
L0243:  JR NZ,L0267
        JR NZ,L0268
        JR NZ,L0269
        DEC C
        ADD HL,BC
        ADD HL,BC
L0264:  ADD HL,BC
        DEC DE
L0265:  LD (DE),A
        JR NZ,L0270
        JR NZ,L0271
L0269:  JR NZ,L0272
        JR NZ,L0273
        JR NZ,L0274
        INC DE
        JR NZ,L0275
        LD B,L
        LD C,H
        LD B,L
        LD D,(HL)
        LD C,C
        LD B,H
        LD B,L
        LD C,A
        JR NZ,L0276
        LD (DE),A
L0268:  JR NZ,L0277
        JR NZ,L0278
        JR NZ,L0279
        JR NZ,L0280
        JR NZ,L0281
L0270:  LD A,(BC)
        DEC C
L0271:  ADD HL,BC
L0274:  ADD HL,BC
L0272:  ADD HL,BC
L0266:  DEC DE
L0273:  LD (DE),A
        DEC L
        DEC L
        DEC L
        DEC L
        DEC L
        DEC L
        DEC L
        DEC L
        DEC L
L0276:  DEC L
        DEC L
        DEC L
        DEC L
        DEC L
        DEC L
        DEC L
        DEC L
L0277:  DEC L
        DEC L
L0278:  DEC L
        DEC L
L0279:  DEC L
        DEC L
L0280:  DEC L
        DEC L
L0281:  DEC L
        DEC L
        DEC L
        DEC L
        DEC L
        LD A,(BC)
        DEC C
        ADD HL,BC
        ADD HL,BC
        ADD HL,BC
        DEC DE
        LD (DE),A
        JR NZ,L0282
        LD D,B
        LD B,H
        LD B,C
        LD D,H
        LD B,L
        LD A,(4420H)
        LD L,C
        INC L
        LD (2E30H),A
        LD SP,2E32H
        JR C,L0283
        DEC SP
        LD (3A33H),A
        INC (HL)
        INC (HL)
        LD A,(3235H)
        JR NZ,L0284
        INC DE
        DEC DE
        LD D,14H
        LD BC,1B0DH
        LD D,54H
        LD SP,0A0DH
        NOP
        DEC C
        LD A,(BC)
        LD B,D
        LD H,H
        LD L,A
        LD (HL),E
        JR NZ,L0285
        LD (HL),D
        LD (HL),D
        JR NZ,L0286
        LD L,(HL)
        JR NZ,L0287
        LD A,(0A0DH)
        LD D,E
        LD L,C
        LD H,H
        LD H,L
        JR NZ,L0288
        LD A,(5420H)
        LD (HL),D
        LD H,C
        LD H,E
        LD L,E
        JR NZ,L0289
        LD A,B
L0300:  LD A,(2020H)
        LD D,E
        LD H,L
        LD H,E
        LD (HL),H
        LD L,A
        LD (HL),D
L0282:  JR NZ,L0290
        LD A,B
        LD A,(0A0DH)
        LD D,D
        LD H,L
        LD (HL),B
        LD H,L
        LD H,C
        LD (HL),H
        JR NZ,L0291
        LD D,D
        ADD HL,HL
        INC L
        JR NZ,L0292
        LD H,A
        LD L,(HL)
        LD L,A
        LD (HL),D
        LD H,L
        JR NZ,L0293
        LD C,C
        ADD HL,HL
        INC L
        JR NZ,L0294
        LD B,H
        LD C,A
        LD D,E
L0285:  JR NZ,L0295
        LD D,D
        LD D,D
        JR NZ,L0296
        LD B,D
        ADD HL,HL
        JR NZ,L0297
        DEC C
        LD A,(BC)
        NOP
        INC HL
L0286:  EX AF,AF'
        INC B
        RET M
        AND E
        ADD A,H
        ADD A,B
L0291:  NOP
        ADD A,B
        NOP
        NOP
        XOR A
        JP P,L0298
        CCF
        NOP
        NOP
        NOP
L0293:  NOP
        NOP
        INC HL
        LD A,(0080H)
        NOP
        INC HL
        EX AF,AF'
        NOP
        INC B
        AND B
        JP PE,L0299
        DEC B
        INC B
        LD BC,2001H
        NOP
        LD (BC),A
        LD BC,0000H
        NOP
L0292:  NOP
        NOP
        NOP
        DEC B
        NOP
L0294:  INC BC
        NOP
        NOP
        NOP
L0288:  LD BC,1600H
        NOP
L0295:  NOP
        NOP
L0297:  NOP
        NOP
        NOP
L0289:  NOP
        NOP
        NOP
        ADD HL,SP
        RST 18H
        ADD A,B
        NOP
        JR NZ,L0300
        LD A,(HL)
        LD (DE),A
        INC HL
L0290:  INC DE
        DEC BC
        XOR A
        CP C
        JP NZ,L0301
        CP B
        JP NZ,L0301
        LD A,00H
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        INC H
        NOP
        LD B,H
        LD E,D
        JR C,L0302
        JR NZ,L0303
        JR NZ,L0304
        LD B,E
        LD C,A
        LD C,L
        NOP
        NOP
        NOP
        LD E,E
        SBC A,C
        NOP
        SBC A,D
        NOP
        SBC A,E
        NOP
        SBC A,H
L0138:  NOP
        SBC A,L
        NOP
        SBC A,(HL)
        NOP
        NOP
L0090:  NOP
        NOP
        NOP
L0112:  NOP
        LD B,H
        LD B,E
L0111:  LD B,(HL)
        SCF
        SCF
        JR NZ,L0305
        JR NZ,L0306
        LD C,A
        LD C,L
        NOP
        NOP
        NOP
        DJNZ L0307
        NOP
        NOP
        NOP
        NOP
L0302:  NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        LD D,E
        LD E,D
        LD B,C
        LD D,B
        JR NZ,L0308
        JR NZ,L0309
        LD B,E
        LD C,A
        LD C,L
        NOP
        NOP
        NOP
        LD E,(HL)
        AND B
        NOP
        AND C
        NOP
        AND D
        NOP
        AND E
        NOP
        AND H
        NOP
        AND L
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        LD D,A
        LD D,E
        JR NZ,L0310
        JR NZ,L0311
L0308:  JR NZ,L0312
L0309:  LD B,E
        LD C,A
        LD C,L
        NOP
L0306:  NOP
        NOP
        ADD A,B
        AND (HL)
        NOP
        AND A
        NOP
        XOR B
        NOP
        XOR C
        NOP
        XOR D
        NOP
        XOR E
        NOP
        XOR H
        NOP
        XOR L
        NOP
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
L0310:  RST 38H
        RST 38H
L0311:  RST 38H
        RST 38H
L0312:  RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        CP 7FH
        RST 38H
        RST 38H
        RET M
        NOP
        DJNZ L0313
L0313:  NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        LD B,C
        LD B,E
        LD H,A
        .DB 0FDH ;UNRECOGNIZED
        XOR 0FFH
        LD D,(HL)
        .DB 0FDH ;UNRECOGNIZED
        LD L,L
        EX (SP),HL
        LD B,E
        LD A,(HL)
        OUT (03H),A
        OR E
        LD C,L
        POP BC
        ADC A,L
        LD (HL),H
        SUB L
        OR A
        LD E,H
        ADD HL,HL
        SUB H
        ADD A,B
        ADD A,B
        CALL PE,L0314
        CALL P,L0315
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RET PO
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
L0316:  NOP
        JR L0316
        AND (HL)
        RST 38H
        LD E,C
        DEC E
        DEC SP
        LD A,(BC)
        XOR (HL)
        SBC A,C
        SET 0,H
        XOR (HL)
        SBC A,(HL)
        LD H,(HL)
        LD (BC),A
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        SBC A,A
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RST 38H
        RRCA
        RST 38H
        RST 38H
        RET PO
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        RST 30H
        LD A,(DE)
        LD (DE),A
        RET PE
        LD L,A
        ADD HL,SP
        CP H
        POP HL
        LD DE,8081H
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        ADD A,B
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        LD H,D
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        RST 38H
        NOP
        ADD A,H
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        LD BC,0000H
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        LD E,A
        DEC L
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        NOP
        JR NZ,L0317
        JR NC,L0318
        INC H

---------------------------------------------
LIST OF LABELS
Sorted by address:      Sorted by name:
---------------------------------------------

L0298:  0001            L0001:  0153
L0002:  0037            L0002:  0037
L0005:  0041            L0003:  0064
L0071:  0043            L0004:  0044
L0004:  0044            L0005:  0041
L0082:  0049            L0006:  0062
L0009:  004B            L0007:  0073
L0079:  004F            L0008:  0050
L0008:  0050            L0009:  004B
L0013:  0059            L0010:  0070
L0011:  005B            L0011:  005B
L0117:  0061            L0012:  0063
L0006:  0062            L0013:  0059
L0012:  0063            L0014:  008A
L0003:  0064            L0015:  008D
L0016:  006D            L0016:  006D
L0010:  0070            L0017:  007A
L0007:  0073            L0018:  015C
L0017:  007A            L0019:  EA00
L0014:  008A            L0020:  F5B2
L0015:  008D            L0021:  F621
L0001:  0153            L0022:  EBF9
L0039:  0157            L0023:  EBDE
L0018:  015C            L0024:  EBD9
L0042:  0188            L0025:  EC60
L0043:  0193            L0026:  EC34
L0044:  019E            L0027:  EC0C
L0041:  01C0            L0028:  F0A3
L0045:  01C8            L0029:  F0B4
L0046:  01D3            L0030:  F0A5
L0047:  01DE            L0031:  F0AA
L0048:  0208            L0032:  F0AF
L0049:  0213            L0033:  F183
L0050:  021E            L0034:  F1C0
L0051:  0248            L0035:  EC74
L0052:  0253            L0036:  F0FE
L0053:  025E            L0037:  F9D6
L0054:  0288            L0038:  FA56
L0055:  028A            L0039:  0157
L0056:  02B2            L0040:  FA96
L0060:  02E1            L0041:  01C0
L0057:  0314            L0042:  0188
L0066:  0388            L0043:  0193
L0069:  0394            L0044:  019E
L0075:  03B9            L0045:  01C8
L0073:  03C3            L0046:  01D3
L0074:  03DA            L0047:  01DE
L0077:  03E7            L0048:  0208
L0076:  03EE            L0049:  0213
L0070:  03F9            L0050:  021E
L0081:  0498            L0051:  0248
L0084:  04B1            L0052:  0253
L0085:  04CC            L0053:  025E
L0083:  04E3            L0054:  0288
L0092:  04EF            L0055:  028A
L0093:  04F6            L0056:  02B2
L0094:  0509            L0057:  0314
L0095:  0510            L0058:  ED4F
L0091:  0517            L0059:  ED48
L0097:  052C            L0060:  02E1
L0101:  054B            L0061:  EC88
L0098:  0554            L0062:  ED6B
L0099:  0567            L0063:  ED56
L0104:  059A            L0064:  ED64
L0100:  05A2            L0065:  ED8E
L0105:  05B3            L0066:  0388
L0109:  05BD            L0067:  ED3A
L0110:  05C7            L0068:  ECB9
L0106:  05CE            L0069:  0394
L0108:  05DA            L0070:  03F9
L0107:  05F2            L0071:  0043
L0115:  05FC            L0072:  100C
L0116:  0606            L0073:  03C3
L0118:  0611            L0074:  03DA
L0122:  06A0            L0075:  03B9
L0123:  06A6            L0076:  03EE
L0131:  06EB            L0077:  03E7
L0129:  06EC            L0078:  EC94
L0132:  06EF            L0079:  004F
L0133:  071E            L0080:  ED23
L0134:  073F            L0081:  0498
L0139:  0756            L0082:  0049
L0137:  0759            L0083:  04E3
L0141:  077F            L0084:  04B1
L0144:  07C3            L0085:  04CC
L0146:  080C            L0086:  F029
L0148:  0830            L0087:  F049
L0150:  0837            L0088:  F059
L0151:  083F            L0089:  F061
L0159:  08B0            L0090:  1033
L0167:  0906            L0091:  0517
L0162:  091F            L0092:  04EF
L0168:  0927            L0093:  04F6
L0166:  0928            L0094:  0509
L0169:  0965            L0095:  0510
L0173:  09A2            L0096:  EF1E
L0175:  09C1            L0097:  052C
L0178:  0A57            L0098:  0554
L0177:  0A5C            L0099:  0567
L0181:  0A74            L0100:  05A2
L0184:  0A8F            L0101:  054B
L0180:  0A94            L0102:  EFA0
L0185:  0AAA            L0103:  EFA6
L0183:  0AB0            L0104:  059A
L0192:  0ABE            L0105:  05B3
L0188:  0AF1            L0106:  05CE
L0190:  0B01            L0107:  05F2
L0193:  0B1C            L0108:  05DA
L0196:  0B35            L0109:  05BD
L0198:  0B52            L0110:  05C7
L0199:  0B62            L0111:  1039
L0200:  0B6E            L0112:  1036
L0201:  0B96            L0113:  EEE6
L0207:  0BB1            L0114:  EEEC
L0206:  0BD4            L0115:  05FC
L0209:  0BE5            L0116:  0606
L0208:  0BED            L0117:  0061
L0211:  0C16            L0118:  0611
L0214:  0C43            L0119:  EFAB
L0216:  0C47            L0120:  EFD1
L0213:  0C56            L0121:  F000
L0212:  0C58            L0122:  06A0
L0220:  0C65            L0123:  06A6
L0219:  0C72            L0124:  F066
L0224:  0C7D            L0125:  F07C
L0223:  0C80            L0126:  F077
L0221:  0C8C            L0127:  F014
L0226:  0C98            L0128:  EFF7
L0225:  0CA7            L0129:  06EC
L0227:  0CD0            L0130:  EFBE
L0229:  0D33            L0131:  06EB
L0233:  0D81            L0132:  06EF
L0234:  0DBA            L0133:  071E
L0237:  0DC5            L0134:  073F
L0240:  0DD6            L0135:  EFBB
L0236:  0DD9            L0136:  EFEC
L0241:  0DDF            L0137:  0759
L0238:  0DEB            L0138:  102D
L0242:  0DF5            L0139:  0756
L0246:  0DFA            L0140:  EFEF
L0249:  0DFB            L0141:  077F
L0245:  0DFD            L0142:  F093
L0239:  0DFF            L0143:  2009
L0244:  0E00            L0144:  07C3
L0250:  0E04            L0145:  F0CF
L0251:  0E06            L0146:  080C
L0247:  0E07            L0147:  F219
L0252:  0E08            L0148:  0830
L0235:  0E09            L0149:  F135
L0253:  0E0A            L0150:  0837
L0254:  0E0C            L0151:  083F
L0255:  0E0E            L0152:  F114
L0256:  0E10            L0153:  F13C
L0248:  0E11            L0154:  F22F
L0257:  0E12            L0155:  F144
L0258:  0E14            L0156:  F19F
L0259:  0E16            L0157:  F220
L0260:  0E18            L0158:  F15F
L0261:  0E1A            L0159:  08B0
L0262:  0E1C            L0160:  F27A
L0263:  0E1E            L0161:  F156
L0243:  0E20            L0162:  091F
L0264:  0E29            L0163:  F265
L0265:  0E2B            L0164:  F238
L0269:  0E30            L0165:  F1F5
L0267:  0E42            L0166:  0928
L0268:  0E44            L0167:  0906
L0270:  0E4E            L0168:  0927
L0271:  0E50            L0169:  0965
L0274:  0E51            L0170:  F268
L0272:  0E52            L0171:  F27D
L0266:  0E53            L0172:  F241
L0273:  0E54            L0173:  09A2
L0276:  0E5E            L0174:  F2FB
L0277:  0E66            L0175:  09C1
L0278:  0E68            L0176:  F2C9
L0279:  0E6A            L0177:  0A5C
L0280:  0E6C            L0178:  0A57
L0281:  0E6E            L0179:  F41C
L0275:  0E8D            L0180:  0A94
L0284:  0EB4            L0181:  0A74
L0283:  0EC6            L0182:  F439
L0300:  0EC8            L0183:  0AB0
L0282:  0ED1            L0184:  0A8F
L0285:  0EF3            L0185:  0AAA
L0286:  0F01            L0186:  F4F1
L0291:  0F07            L0187:  F4FE
L0287:  0F0D            L0188:  0AF1
L0293:  0F13            L0189:  F42E
L0296:  0F21            L0190:  0B01
L0292:  0F2D            L0191:  F47B
L0294:  0F32            L0192:  0ABE
L0288:  0F36            L0193:  0B1C
L0295:  0F3A            L0194:  F35C
L0297:  0F3C            L0195:  F2BE
L0289:  0F3F            L0196:  0B35
L0290:  0F4B            L0197:  F46E
L0307:  0FE6            L0198:  0B52
L0072:  100C            L0199:  0B62
L0138:  102D            L0200:  0B6E
L0090:  1033            L0201:  0B96
L0112:  1036            L0202:  F4E2
L0111:  1039            L0203:  F681
L0303:  103D            L0204:  ECB3
L0304:  103F            L0205:  F3B9
L0302:  104B            L0206:  0BD4
L0305:  105E            L0207:  0BB1
L0308:  107D            L0208:  0BED
L0309:  107F            L0209:  0BE5
L0306:  1083            L0210:  F51A
L0310:  109B            L0211:  0C16
L0311:  109D            L0212:  0C58
L0312:  109F            L0213:  0C56
L0313:  10C0            L0214:  0C43
L0316:  1145            L0215:  F558
L0317:  142D            L0216:  0C47
L0318:  1431            L0217:  F2B9
L0143:  2009            L0218:  F59F
L0301:  285C            L0219:  0C72
L0299:  5000            L0220:  0C65
L0314:  80F8            L0221:  0C8C
L0315:  8D1D            L0222:  F592
L0228:  D400            L0223:  0C80
L0019:  EA00            L0224:  0C7D
L0024:  EBD9            L0225:  0CA7
L0023:  EBDE            L0226:  0C98
L0022:  EBF9            L0227:  0CD0
L0027:  EC0C            L0228:  D400
L0026:  EC34            L0229:  0D33
L0025:  EC60            L0230:  F26B
L0035:  EC74            L0231:  F600
L0061:  EC88            L0232:  ED07
L0078:  EC94            L0233:  0D81
L0204:  ECB3            L0234:  0DBA
L0068:  ECB9            L0235:  0E09
L0232:  ED07            L0236:  0DD9
L0080:  ED23            L0237:  0DC5
L0067:  ED3A            L0238:  0DEB
L0059:  ED48            L0239:  0DFF
L0058:  ED4F            L0240:  0DD6
L0063:  ED56            L0241:  0DDF
L0064:  ED64            L0242:  0DF5
L0062:  ED6B            L0243:  0E20
L0065:  ED8E            L0244:  0E00
L0113:  EEE6            L0245:  0DFD
L0114:  EEEC            L0246:  0DFA
L0096:  EF1E            L0247:  0E07
L0102:  EFA0            L0248:  0E11
L0103:  EFA6            L0249:  0DFB
L0119:  EFAB            L0250:  0E04
L0135:  EFBB            L0251:  0E06
L0130:  EFBE            L0252:  0E08
L0120:  EFD1            L0253:  0E0A
L0136:  EFEC            L0254:  0E0C
L0140:  EFEF            L0255:  0E0E
L0128:  EFF7            L0256:  0E10
L0121:  F000            L0257:  0E12
L0127:  F014            L0258:  0E14
L0086:  F029            L0259:  0E16
L0087:  F049            L0260:  0E18
L0088:  F059            L0261:  0E1A
L0089:  F061            L0262:  0E1C
L0124:  F066            L0263:  0E1E
L0126:  F077            L0264:  0E29
L0125:  F07C            L0265:  0E2B
L0142:  F093            L0266:  0E53
L0028:  F0A3            L0267:  0E42
L0030:  F0A5            L0268:  0E44
L0031:  F0AA            L0269:  0E30
L0032:  F0AF            L0270:  0E4E
L0029:  F0B4            L0271:  0E50
L0145:  F0CF            L0272:  0E52
L0036:  F0FE            L0273:  0E54
L0152:  F114            L0274:  0E51
L0149:  F135            L0275:  0E8D
L0153:  F13C            L0276:  0E5E
L0155:  F144            L0277:  0E66
L0161:  F156            L0278:  0E68
L0158:  F15F            L0279:  0E6A
L0033:  F183            L0280:  0E6C
L0156:  F19F            L0281:  0E6E
L0034:  F1C0            L0282:  0ED1
L0165:  F1F5            L0283:  0EC6
L0147:  F219            L0284:  0EB4
L0157:  F220            L0285:  0EF3
L0154:  F22F            L0286:  0F01
L0164:  F238            L0287:  0F0D
L0172:  F241            L0288:  0F36
L0163:  F265            L0289:  0F3F
L0170:  F268            L0290:  0F4B
L0230:  F26B            L0291:  0F07
L0160:  F27A            L0292:  0F2D
L0171:  F27D            L0293:  0F13
L0217:  F2B9            L0294:  0F32
L0195:  F2BE            L0295:  0F3A
L0176:  F2C9            L0296:  0F21
L0174:  F2FB            L0297:  0F3C
L0194:  F35C            L0298:  0001
L0205:  F3B9            L0299:  5000
L0179:  F41C            L0300:  0EC8
L0189:  F42E            L0301:  285C
L0182:  F439            L0302:  104B
L0197:  F46E            L0303:  103D
L0191:  F47B            L0304:  103F
L0202:  F4E2            L0305:  105E
L0186:  F4F1            L0306:  1083
L0187:  F4FE            L0307:  0FE6
L0210:  F51A            L0308:  107D
L0215:  F558            L0309:  107F
L0222:  F592            L0310:  109B
L0218:  F59F            L0311:  109D
L0020:  F5B2            L0312:  109F
L0231:  F600            L0313:  10C0
L0021:  F621            L0314:  80F8
L0203:  F681            L0315:  8D1D
L0037:  F9D6            L0316:  1145
L0038:  FA56            L0317:  142D
L0040:  FA96            L0318:  1431
